Bug Hunting Session
Bug 55033 - : regular expression problem
Summary: : regular expression problem
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:3.7.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-09-17 21:12 UTC by john.pratt
Modified: 2012-10-20 00:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test file with regex (11.00 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-09-18 07:02 UTC, GerardF
Details

Note You need to log in before you can comment on or make changes to this bug.
Description john.pratt 2012-09-17 21:12:13 UTC
Problem description: formula no longer works - regular expression not interpreted correctly

Steps to reproduce:
1. ensure regular expressions are enabled in options
2. enter a formula which uses regular expressions, e.g. =countif(A2:A5,".*Y.*") into cell A1
3. type Y in cell A2

Current behavior: doesn't count it

Expected behavior: counts it

NB: =countif(A2:A5,"Y") works as expected

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:13.0) Gecko/20100101 Firefox/13.0.1
Comment 1 GerardF 2012-09-18 07:02:40 UTC
Created attachment 67313 [details]
test file with regex

Reproducible.

Formula with regular expressions no longer works.
These formulae gives the same results, option enabled or not.

Seen with new files created with 3.7.0.0, also with files created with previous versions and opened with 3.7.0.0.

This file created with 3.7.0.0 gives expected result while opened with 3.6.1.
So option is enabled and correctly stored in .xml
Comment 2 Markus Mohrhard 2012-10-18 09:07:18 UTC
Ok,

I most likely found this problem.
Comment 3 Markus Mohrhard 2012-10-18 10:21:42 UTC
Please note that even with my fix you need a Ctrl+Shift+F9 for a manual hard recalc.
Comment 4 Not Assigned 2012-10-19 08:50:06 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac60fba3b5a506f6659f268a8b4fa8e1da600603

delegating a constructor can't work like this, fdo#55033



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.